#
# spec file for package libreadline-java (Version 0.8.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0


Name:           libreadline-java
BuildRequires:  fastjar gjdoc java-1_4_2-gcj-compat-devel readline-devel termcap unzip xerces-j2
%define name		libreadline-java
%define version		0.8.0
%define readline_ver	4.3
%define release		9jpp
%define section		free
Version:        0.8.0
Release:        256
Summary:        Java Wrapper for the GNU Readline Library
License:        LGPLv2.1+
Source0:        http://download.sourceforge.net/java-readline/libreadline-java-0.8.0-src.tar.gz
Source1:        baselibs.conf
Patch0:         %{name}-java14compat.patch
Patch1:         %{name}-%{version}-missing-return-type.patch
Url:            http://java-readline.sf.net/
# Requires:	readline = %{readline_ver}
PreReq:         /sbin/ldconfig
Provides:       java_readline
Provides:       gnu.readline
Group:          Development/Libraries/Java
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on

%description
Java-Readline is a port of GNU Readline for Java.  To be more precise,
it is a JNI wrapper for Readline. It is distributed under the LGPL.



%package javadoc
License:        LGPLv2.1+
PreReq:         coreutils
Summary:        Javadoc for libreadline-java
Group:          Development/Libraries/Java

%description javadoc
Java-Readline is a port of GNU Readline for Java.  Or, to be more
precise, it is a JNI-wrapper to Readline. It is distributed under the
LGPL.

This package contains the javadoc documentation for Java-Readline.



%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1 -p1
find . -name "*.jar" -exec rm -f {} \;

%build
export JAVA_HOME=%{java_home}
export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH
%__make T_LIBS=JavaReadline LIBPATH=-L%{_libdir}/termcap
%__make apidoc

%install
# jar
%__mkdir_p %{buildroot}%{_jnidir}-ext
%__install -m 644 %{name}.jar %{buildroot}%{_jnidir}-ext/%{name}-%{version}.jar
(cd %{buildroot}%{_jnidir}-ext && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)
# lib
%__mkdir_p %{buildroot}%{_libdir}
%__install -m 755 libJavaReadline.so %{buildroot}%{_libdir}/libJavaReadline.so.%{version}
(cd %{buildroot}%{_libdir} && ln -sf libJavaReadline.so.%{version} libJavaReadline.so)
# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a api/* %{buildroot}%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(0644,root,root,0755)
%doc ChangeLog NEWS README README.1st VERSION
%{_libdir}/*.so*
%dir %{_jnidir}-ext
%{_jnidir}-ext/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}
%doc %{_javadocdir}/%{name}-%{version}

%changelog
